'use strict'
import mongoose from 'mongoose';

const Schema = mongoose.Schema;

const KeywordsSchema = new Schema({
  campaignCode: {
    type: String,
    default: '00001'
  },
  content: {
    type: String,
    default: ''
  },
  VPT: {
    type: Number,
    default: 1000
  },
  usageRecord: [
    {
      date: {
        type: Date,
        default: new Date(),
      },
      usageNumber: {
        type: Number,
        default: 0
      }
    }
  ],
  VPTType: {
    type: String,
    default: 'day'
  },
  VPTCount:{
    type:Number,
    default:1000,
  },
  active: {
    type: Boolean,
    default: true
  },
  createTime: {
    type: Date,
    default: new Date()
  }
})

export default KeywordsSchema
