# 运营配置中心operation_configuration_center

提供前端业务配置化能力，提供友好可视化界面



## Installation

```
# 基于 npm 包管理，依赖安装
npm install

# 本地管理界面开发
npm run serve
# 本地后端服务开发
npm run nodeserve
或 npm run start:dev

# 管理界面线上打包
npm run build
# 线上服务启动
npm run start
```



```
# 基于 yarn 包管理，依赖安装
yarn install

# 本地管理界面开发
yarn serve

# 本地后端服务开发
yarn nodeserve
或 yarn start:dev

# 管理界面线上打包
yarn build

# 线上服务启动
yarn start
```



## Runtime Environments



```
# pm2 进程管理
yarn add pm2 -g
#  nosql 数据库，mongodb
https://docs.mongodb.com/manual/installation/


环境变量
开发环境：
	1、服务端口 3008
	2、数据库端口  27017
	3、本地数据库 mongodb://localhost:27017/occ_dev
	
测试环境：
	1、服务端口 3008
	2、数据库配置 mongodb://178.128.218.86:27017/occ_test
	数据库安全性声明
	
线上环境：
	1、服务端口 3008
	2、数据库配置 mongodb://178.128.218.86:27017/occ_prod
	数据库安全性声明

```



## Configuration



## Documentation



## How Does It Work?



## License

Apache License 2.0

### 安装报错解决

node版本16.16.0  
npm 版本 8.14.0  
npm install --force

